Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginSpeciesReference

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginSimpleSpeciesReference
              jp.sbi.celldesigner.plugin.PluginSpeciesReference

    public class PluginSpeciesReference

extends PluginSimpleSpeciesReference

This class wraps org.sbml.libsbml.SpeciesReference for the plug-in.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSimpleSpeciesReference
`MODIFIER, PRODUCT, REACTANT`

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginSpeciesReference(PluginReaction parent, PluginSpeciesAlias alias)` Constructor

Method Summary
`double` | `getStoichiometry()`
`StoichiometryMath` | `getStoichiometryMath()`
`void` | `setStoichiometry(double stoichiometry)` Sets the stoichiometry of this PluginSpeciesReference.
`void` | `setStoichiometryMath(ASTNode stoichiometry)`
`void` | `setStoichiometryMath(StoichiometryMath stoichiometry)` Sets the stoichiometryMath of this PluginSpeciesReference.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSimpleSpeciesReference
`getAlias, getParentReaction, getParentReactionID, getReferenceType, getSpecies, getSpeciesInstance, setAlias, setReferenceType`

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginSpeciesReference

    public PluginSpeciesReference(PluginReaction parent,
                                  PluginSpeciesAlias alias)

  Constructor

  Parameters:
    `parent` - the PluginReaction as the parent of this PluginSpeciesReference
    `alias` - PluginSpeciesAlias

Method Detail

### getStoichiometry

    public double getStoichiometry()

  Returns:
    the stoichiometry of this PluginSpeciesReference

### setStoichiometry

    public void setStoichiometry(double stoichiometry)

  Sets the stoichiometry of this PluginSpeciesReference.

  Parameters:
    `stoichiometry` -

### getStoichiometryMath

    public StoichiometryMath getStoichiometryMath()

  Returns:
    the stoichiometryMath of this PluginSpeciesReference.

### setStoichiometryMath

    public void setStoichiometryMath(StoichiometryMath stoichiometry)

  Sets the stoichiometryMath of this PluginSpeciesReference.

  Parameters:
    `stoichiometry` -

### setStoichiometryMath

    public void setStoichiometryMath(ASTNode stoichiometry)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD